Subject: Re: [MOBILE-IP] Move Detection.

From: Woo-June Kim <[email-masked]>
Date: Tue, 22 Aug 2000 20:25:33 +0900

Hi,

I've wondered about the same problem myself. At least I'm not alone. :-)

As I understand it, the current wording in rfc2002 seems to result from the fact that the Mobile IP protocol was defined for systems where it would be possible to get Agent Advertisements from multiple FAs at the same time. For such a case there would be no reason to get rid of a previous registration just because a Agent Advertisement was received from a new FA. Waiting for the lifetime to expire would be wise.

This runs into problems for cases such as when the mobile is connected to a network such as the currently proposed 3GPP2 cdma2000 networks. During handoff to another PDSN (the terminating point of the PPP connection between the mobile and the edge of the IP network), the link connection (most likely PPP) will be reset, and the PDSN will send out an Agent Advertisement.  (This is all spelled out in the IS-835 specs and the IOS v4.0.1 specs, by the way.) Once this happens the mobile runs into the problem you just described. Should the mobile remove the old registration. because it received a Agent Advertisement from a new FA ? 

My feeling is that since the link layer has been changed (i.e. the PPP has been reset) the mobile should react to the new Agent Advertisement immediately. The wording in rfc2002 does contain some musing on link layer notification. I guess this sort of falls into that category. (Probably the authors were considering this sor t of problem ?) 

Actually, during the current (or is it finished ?) last call of rfc2002-bis, I was wondering if anyone bring this up. As there is currently a lot of discussions going on about the 3G- etc. using Mobile IP, I think it would have been useful to clarify the language a bit. 

cheers

Woojune Kim,
Senior Engineer
Samsung Electronics Ltd. 
tel : +82-342-779-8526
hp : +82-11-368-7480
e-mail : [email-masked]

>Hi,
>
>As the questions on this list are predominantly concerned with defining new
>Mobile IP protocols, is it the right place for me to ask MobileIPv4
>(RFC2002) implementation questions?
>
>If not, could you please point me in the right direction. If so, heres my
>question.........
>
>>From my undesrtanding, both of the Move Detection algorithms within RFC2000
>IP Mobility Support rely on having to wait for the Lifetime of a previous
>Registration to expire before an Agent Advertisement from another FA could
>overide it. This could potentially leave a long gap before a change of
>network was detected. Or am I missing something?
>
>Thanks
>
>Gavin Button
>